Subject: bug#79346: igc: PolicyShouldCollectWorld

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 10:01:15 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Helmut Eller <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 05 Sep 2025 14:54:54 -0400
> 
> > AFAIU, this makes GC-on-idle run off an idle timer, instead of using
> > internal implementation in C, is that right?
> >
> > If so, I'm not very happy doing this, as the default mechanism.
> > Timers are hard to reason about, when other timers, let alone other
> > Lisp threads, are present, and the result might be more complex
> > system, which is harder to understand and maintain.
> 
> Is it necessary to have "GC-on-idle"?

I don't know.  The original implementation did have it.

> If not, I think it's OK to have it implemented only in Lisp.

If it becomes an optional feature, and if having it is not deemed
necessary, I'm okay with that.